Page MenuHomePhabricator

MobileFrontendHooks::onResourceLoaderTestModules is really slow
Closed, DeclinedPublic

Description

35.40% 365.997      1 - ResourceLoader::__construct
33.23% 343.579      1 - ResourceLoader::registerTestModules
32.90% 340.115      1 - hook: ResourceLoaderTestModules
32.88% 339.895      1 - MobileFrontendHooks::onResourceLoaderTestModules
32.87% 339.834      1 - MobileFrontendHooks::onResourceLoaderTestModules

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterSimplify construction of qunit test module

Event Timeline

Legoktm created this task.Mar 5 2015, 5:09 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2015, 5:09 PM
Krenair added a subscriber: Krenair.Mar 5 2015, 8:40 PM

Run only if you set $wgEnableJavaScriptTest = true; - so in WMF production this is test2wiki only

Florian added a subscriber: Florian.Mar 7 2015, 2:15 PM

Change 231630 had a related patch set uploaded (by Jdlrobson):
Simplify construction of qunit test module

https://gerrit.wikimedia.org/r/231630

Jhernandez triaged this task as Medium priority.Aug 17 2015, 12:40 PM
Jhernandez edited projects, added MobileFrontend; removed Readers-Web-Backlog.
Jhernandez set Security to None.
Jhernandez moved this task from Backlog to Tech debt on the MobileFrontend board.

Change 231630 merged by jenkins-bot:
Simplify construction of qunit test module

https://gerrit.wikimedia.org/r/231630

Jdlrobson closed this task as Resolved.Sep 16 2015, 7:36 PM
Jdlrobson claimed this task.
Legoktm reopened this task as Open.Sep 16 2015, 8:29 PM

We're now at:

10.19% 279.634      2 - MobileFrontendHooks::onResourceLoaderTestModules

For comparison:

1.32% 36.240      2 - EchoHooks::onResourceLoaderTestModules
0.39% 10.687      2 - ThanksHooks::onResourceLoaderTestModules

Well it's a third of the speed now and you didn't specify a target measurement

Given MobileFrontend has a lot of tests I would expect it to be slower than Thanks and Echo.

What is the impact on tests? How much slower do they run like this? Will the world melt if we don't do anything?

Jdlrobson lowered the priority of this task from Medium to Lowest.Sep 17 2015, 10:27 PM

Until more clarity about the exact problem.

Jdlrobson removed Jdlrobson as the assignee of this task.Nov 4 2015, 4:39 PM
Jdlrobson moved this task from Tech debt to Discussing on the MobileFrontend board.
Jdlrobson added a subscriber: Jdlrobson.
Jdlrobson closed this task as Declined.Jun 5 2017, 6:59 PM